Skip to main content
POST
/
submission
/
{displayId}
/
{transactionId}
/
endorsement
Create Endorsement
curl --request POST \
  --url https://app.coverwhale.com/api/v1/submission/{displayId}/{transactionId}/endorsement \
  --header 'AccessToken: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "effective_date_transaction": "02/19/2026"
}
'
{
  "status": "success",
  "submission_number": "266545837614",
  "transaction_id": 2,
  "endorsement_status": "Submitted"
}

Authorizations

AccessToken
string
header
required

AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.

Headers

AccessToken
string
required

Path Parameters

displayId
string
required

Submission display ID

transactionId
integer
required

Transaction ID of the bound submission

Body

application/json
effective_date_transaction
string

Endorsement effective date (MM/DD/YYYY)

Example:

"02/19/2026"

Response

Endorsement created

status
string
Example:

"success"

submission_number
string
Example:

"266545837614"

transaction_id
integer
Example:

2

endorsement_status
string
Example:

"Submitted"